org.apache.commons.math3.transform

## Class FastFourierTransformer.MultiDimensionalComplexMatrix

- java.lang.Object
- - org.apache.commons.math3.transform.FastFourierTransformer.MultiDimensionalComplexMatrix

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    FastFourierTransformer

  Deprecated.
  see MATH-736

      @Deprecated
      private static class FastFourierTransformer.MultiDimensionalComplexMatrix
      extends Object
      implements Cloneable

  Complex matrix implementation. Not designed for synchronized access may eventually be replaced by jsr-83 of the java community process http://jcp.org/en/jsr/detail?id=83 may require additional exception throws for other basic requirements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int[]` | `dimensionSize` Deprecated. Size in all dimensions.
    `protected Object` | `multiDimensionalComplexArray` Deprecated. Storage array.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastFourierTransformer.MultiDimensionalComplexMatrix(Object multiDimensionalComplexArray)` Deprecated. Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Deprecated.
    `private void` | `clone(FastFourierTransformer.MultiDimensionalComplexMatrix mdcm)` Deprecated. Copy contents of current array into mdcm.
    `Complex` | `get(int... vector)` Deprecated. Get a matrix element.
    `Object` | `getArray()` Deprecated. Get the underlying storage array.
    `int[]` | `getDimensionSizes()` Deprecated. Get the size in all dimensions.
    `Complex` | `set(Complex magnitude, int... vector)` Deprecated. Set a matrix element.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dimensionSize

          protected int[] dimensionSize

      Deprecated.
      Size in all dimensions.

    - #### multiDimensionalComplexArray

          protected Object multiDimensionalComplexArray

      Deprecated.
      Storage array.

  - ### Constructor Detail

    - #### FastFourierTransformer.MultiDimensionalComplexMatrix

          public FastFourierTransformer.MultiDimensionalComplexMatrix(Object multiDimensionalComplexArray)

      Deprecated.
      Simple constructor.
      Parameters:
        `multiDimensionalComplexArray` - array containing the matrix elements

  - ### Method Detail

    - #### get

          public Complex get(int... vector)
                      throws DimensionMismatchException

      Deprecated.
      Get a matrix element.
      Parameters:
        `vector` - indices of the element
      Returns:
        matrix element
      Throws:
        `DimensionMismatchException` - if dimensions do not match

    - #### set

          public Complex set(Complex magnitude,
                    int... vector)
                      throws DimensionMismatchException

      Deprecated.
      Set a matrix element.
      Parameters:
        `magnitude` - magnitude of the element
        `vector` - indices of the element
      Returns:
        the previous value
      Throws:
        `DimensionMismatchException` - if dimensions do not match

    - #### getDimensionSizes

          public int[] getDimensionSizes()

      Deprecated.
      Get the size in all dimensions.
      Returns:
        size in all dimensions

    - #### getArray

          public Object getArray()

      Deprecated.
      Get the underlying storage array.
      Returns:
        underlying storage array

    - #### clone

          public Object clone()

      Deprecated.
      Overrides:
        `clone` in class `Object`

    - #### clone

          private void clone(FastFourierTransformer.MultiDimensionalComplexMatrix mdcm)

      Deprecated.
      Copy contents of current array into mdcm.
      Parameters:
        `mdcm` - array where to copy data

Copyright (c) 2003-2013 Apache Software Foundation